Power off a dedicated server

POST/v1/hosts/dedicated_servers/{server_id}/power_off

By sending a POST request to /v1/hosts/dedicated_servers/{server_id}/power_off, you will switch off power on an existing dedicated server. It's necessary to have an ID in the path of the request to point a server.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

server_id*string

A unique identifier of a server.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/hosts/dedicated_servers/5xe7JBd7/power_off"
{  "id": "5xe7JBd7",  "rack_id": "46dBmNb7",  "title": "title700",  "location_id": 1422,  "location_code": "location2947",  "status": "active",  "operational_status": "normal",  "power_status": "powering_off",  "configuration": "REMM R123",  "private_ipv4_address": "10.0.0.144",  "public_ipv4_address": "169.254.0.144",  "lease_start_at": "2026-05-25",  "scheduled_release_at": null,  "type": "dedicated_server",  "oob_ipv4_address": "198.29.114.3",  "configuration_details": {    "ram_size": 2,    "bandwidth_id": 21,    "bandwidth_name": "20000 GB",    "server_model_id": 62,    "public_uplink_id": 51,    "private_uplink_id": 52,    "server_model_name": "server-model-693",    "public_uplink_name": "Public 1 Gbps without redundancy",    "operating_system_id": 21,    "private_uplink_name": "Private 1 Gbps without redundancy",    "operating_system_full_name": "CentOS 7 x86_64"  },  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "ipxe_config": null,  "userdata_sha256": null,  "created_at": "2026-05-28T07:03:56Z",  "updated_at": "2026-05-28T07:03:56Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}
{  "message": "Power management operation already in process",  "code": "CONFLICT"}
{  "message": "Host is not ready",  "code": "PRECONDITION_FAILED"}